Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Class RelatesTo

    java.lang.Object
      org.apache.axis2.addressing.RelatesTo

All Implemented Interfaces:
  Externalizable, Serializable, SafeSerializable

    public class RelatesTo

extends Object
implements Externalizable, SafeSerializable

Class RelatesTo

See Also:
  Serialized Form

Constructor Summary
`RelatesTo()` Constructor RelatesTo
`RelatesTo(String value)` Constructor RelatesTo
`RelatesTo(String value, String relationshipType)` Constructor RelatesTo

Method Summary
`ArrayList` | `getExtensibilityAttributes()`
`String` | `getRelationshipType()` Method getRelationshipType.
`String` | `getValue()` Method getValue
`void` | `readExternal(ObjectInput inObject)` Restore the contents of the object that was previously saved.
`void` | `setExtensibilityAttributes(ArrayList extensibilityAttributes)`
`void` | `setRelationshipType(String relationshipType)` Method setRelationshipType
`void` | `setValue(String value)` Method setValue
`String` | `toString()`
`void` | `writeExternal(ObjectOutput o)` Save the contents of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RelatesTo

    public RelatesTo()

  Constructor RelatesTo

### RelatesTo

    public RelatesTo(String value)

  Constructor RelatesTo

  Parameters:
    `value` -

### RelatesTo

    public RelatesTo(String value,
                     String relationshipType)

  Constructor RelatesTo

  Parameters:
    `value` -
    `relationshipType` -

Method Detail

### getRelationshipType

    public String getRelationshipType()

  Method getRelationshipType. If the relationship type has not been set it returns the default value `AddressingConstants.Final.WSA_DEFAULT_RELATIONSHIP_TYPE`

### getValue

    public String getValue()

  Method getValue

### setRelationshipType

    public void setRelationshipType(String relationshipType)

  Method setRelationshipType

  Parameters:
    `relationshipType` -

### setValue

    public void setValue(String value)

  Method setValue

  Parameters:
    `value` -

### getExtensibilityAttributes

    public ArrayList getExtensibilityAttributes()

### setExtensibilityAttributes

    public void setExtensibilityAttributes(ArrayList extensibilityAttributes)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### writeExternal

    public void writeExternal(ObjectOutput o)
                       throws IOException

  Save the contents of this object.

  NOTE: Transient fields and static fields are not saved.

  Specified by:
    `writeExternal` in interface `Externalizable`
  Parameters:
    `out` - The stream to write the object contents to
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput inObject)
                      throws IOException,
                             ClassNotFoundException

  Restore the contents of the object that was previously saved.

  NOTE: The field data must read back in the same order and type as it was written. Some data will need to be validated when resurrected.

  Specified by:
    `readExternal` in interface `Externalizable`
  Parameters:
    `in` - The stream to read the object contents from
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.